List all payment profiles
curl --request GET \
--url https://api.lynkwell.com/billing/v1/payment-profiles \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lynkwell.com/billing/v1/payment-profiles"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lynkwell.com/billing/v1/payment-profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"hasMore": true,
"items": [
{
"id": "<string>",
"network": "<string>",
"driver": "<string>"
}
]
}
}{
"type": "BAD_REQUEST",
"code": "INVALID_REQUEST_PARAMETERS",
"message": "<string>"
}{
"message": "<string>"
}{
"type": "FORBIDDEN",
"code": "UNAUTHORIZED",
"message": "<string>"
}{
"type": "INTERNAL_ERROR",
"code": "INTERNAL_SERVER_ERROR",
"message": "<string>"
}Payment Profile
List all payment profiles
This endpoint retrieves a list of payment profiles
GET
/
billing
/
v1
/
payment-profiles
List all payment profiles
Authorizations
OAuth2 Client Credentials Flow
Query Parameters
The maximum number of payment profiles to return (default 20, maximum 100)
Pattern:
^[0-9][0-9]?$|^100$The ID of the last payment profile in the previous page of results. Results will start after this payment profile
The ID of the driver to filter payment profiles by
Response
A list of payment profiles
Show child attributes
Show child attributes